var search_data = {"index":{"searchIndex":["githubv3api","entity","issue","issuesapi","org","orgsapi","repo","reposapi","user","usersapi","all()","api()","create()","current()","data()","get()","get()","get()","get()","issues()","list()","list()","list()","list_collaborators()","list_collaborators()","list_forks()","list_forks()","list_members()","list_public_members()","list_repos()","list_watchers()","list_watchers()","members()","natural_key()","natural_key()","natural_key()","new()","new()","new()","new()","new()","new()","orgs()","owner_login()","public_members()","public_repos()","repos()","repos()","update()","users()"],"longSearchIndex":["githubv3api","githubv3api::entity","githubv3api::issue","githubv3api::issuesapi","githubv3api::org","githubv3api::orgsapi","githubv3api::repo","githubv3api::reposapi","githubv3api::user","githubv3api::usersapi","githubv3api::usersapi#all()","githubv3api::entity#api()","githubv3api::issuesapi#create()","githubv3api::usersapi#current()","githubv3api::entity#data()","githubv3api::issuesapi#get()","githubv3api::orgsapi#get()","githubv3api::reposapi#get()","githubv3api::usersapi#get()","githubv3api#issues()","githubv3api::issuesapi#list()","githubv3api::orgsapi#list()","githubv3api::reposapi#list()","githubv3api::repo#list_collaborators()","githubv3api::reposapi#list_collaborators()","githubv3api::repo#list_forks()","githubv3api::reposapi#list_forks()","githubv3api::orgsapi#list_members()","githubv3api::orgsapi#list_public_members()","githubv3api::orgsapi#list_repos()","githubv3api::repo#list_watchers()","githubv3api::reposapi#list_watchers()","githubv3api::org#members()","githubv3api::org#natural_key()","githubv3api::repo#natural_key()","githubv3api::user#natural_key()","githubv3api::new()","githubv3api::entity::new()","githubv3api::issuesapi::new()","githubv3api::orgsapi::new()","githubv3api::reposapi::new()","githubv3api::usersapi::new()","githubv3api#orgs()","githubv3api::repo#owner_login()","githubv3api::org#public_members()","githubv3api::reposapi#public_repos()","githubv3api#repos()","githubv3api::org#repos()","githubv3api::issuesapi#update()","githubv3api#users()"],"info":[["GitHubV3API","","GitHubV3API.html","","<p>This is the main entry-point to the GitHub v3 API.\n<p>example:\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">api</span> = <span class=\"ruby-constant\">GitHubV3API</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-string\">&#39;users_github_oath2_access_token&#39;</span>) <span class=\"ruby-operator\">...</span>\n</pre>\n"],["GitHubV3API::Entity","","GitHubV3API/Entity.html","","<p>This is the base class used for value objects returned by the API. See descendent classes for more details. …\n"],["GitHubV3API::Issue","","GitHubV3API/Issue.html","","<p>Represents a single GitHub Issue and provides access to its data attributes.\n"],["GitHubV3API::IssuesAPI","","GitHubV3API/IssuesAPI.html","","<p>Provides access to the GitHub Issues API (developer.github.com/v3/issues/)\n<p>example:\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">api</span> = <span class=\"ruby-constant\">GitHubV3API</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-constant\">ACCESS_TOKEN</span>) <span class=\"ruby-operator\">...</span>\n</pre>\n"],["GitHubV3API::Org","","GitHubV3API/Org.html","","<p>Represents a single GitHub Org and provides access to its data attributes.\n"],["GitHubV3API::OrgsAPI","","GitHubV3API/OrgsAPI.html","","<p>Provides access to the GitHub Orgs API (developer.github.com/v3/orgs/)\n<p>example:\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">api</span> = <span class=\"ruby-constant\">GitHubV3API</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-constant\">ACCESS_TOKEN</span>) <span class=\"ruby-operator\">...</span>\n</pre>\n"],["GitHubV3API::Repo","","GitHubV3API/Repo.html","","<p>Represents a single GitHub Repo and provides access to its data attributes.\n"],["GitHubV3API::ReposAPI","","GitHubV3API/ReposAPI.html","","<p>Provides access to the GitHub Repos API (developer.github.com/v3/repos/)\n<p>example:\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">api</span> = <span class=\"ruby-constant\">GitHubV3API</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-constant\">ACCESS_TOKEN</span>) <span class=\"ruby-operator\">...</span>\n</pre>\n"],["GitHubV3API::User","","GitHubV3API/User.html","","<p>Represents a single GitHub User and provides access to its data attributes.\n"],["GitHubV3API::UsersAPI","","GitHubV3API/UsersAPI.html","","<p>Provides access to the GitHub Users API (developer.github.com/v3/users/)\n<p>example:\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">api</span> = <span class=\"ruby-constant\">GitHubV3API</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-constant\">ACCESS_TOKEN</span>) <span class=\"ruby-operator\">...</span>\n</pre>\n"],["all","GitHubV3API::UsersAPI","GitHubV3API/UsersAPI.html#method-i-all","()","<p>Returns an array of all GitHubV3API::User instances in the server.\n"],["api","GitHubV3API::Entity","GitHubV3API/Entity.html#method-i-api","()","<p>Provides access to the api object for subclasses\n"],["create","GitHubV3API::IssuesAPI","GitHubV3API/IssuesAPI.html#method-i-create","(user, repo_name, data={})","<p>Returns a GitHubV3API::Issue instance representing the issue that it creates\n<p><code>user</code> &mdash; the string ID of the …\n"],["current","GitHubV3API::UsersAPI","GitHubV3API/UsersAPI.html#method-i-current","()","<p>Returns a single GitHubV3API::User instance representing the currently logged in user\n"],["data","GitHubV3API::Entity","GitHubV3API/Entity.html#method-i-data","()","<p>Provides access to the raw data hash for subclasses.\n"],["get","GitHubV3API::IssuesAPI","GitHubV3API/IssuesAPI.html#method-i-get","(user, repo_name, id, params={})","<p>Returns a GitHubV3API::Issue instance for the specified <code>user</code>, <code>repo_name</code>, and <code>id</code>.\n<p><code>user</code> &mdash; the string ID of …\n"],["get","GitHubV3API::OrgsAPI","GitHubV3API/OrgsAPI.html#method-i-get","(org_login)","<p>Returns a GitHubV3API::Org instance for the specified <code>org_login</code>.\n<p><code>org_login</code> &mdash; the string ID of the organization, …\n\n"],["get","GitHubV3API::ReposAPI","GitHubV3API/ReposAPI.html#method-i-get","(user, repo_name)","<p>Returns a GitHubV3API::Repo instance for the specified <code>user</code> and <code>repo_name</code>.\n<p><code>user</code> &mdash; the string ID of the user, …\n"],["get","GitHubV3API::UsersAPI","GitHubV3API/UsersAPI.html#method-i-get","(username)","<p>Returns a GitHubV3API::User instance for the specified <code>username</code>.\n<p><code>username</code> &mdash; the string login of the user, …\n\n"],["issues","GitHubV3API","GitHubV3API.html#method-i-issues","()","<p>Entry-point for access to the GitHub Issues API\n<p>Returns an instance of GitHubV3API::IssuesAPI that will …\n"],["list","GitHubV3API::IssuesAPI","GitHubV3API/IssuesAPI.html#method-i-list","(options=nil, params={})","<p>Returns an array of GitHubV3API::Issue instances representing a user’s issues or issues for a repo …\n"],["list","GitHubV3API::OrgsAPI","GitHubV3API/OrgsAPI.html#method-i-list","()","<p>Returns an array of GitHubV3API::Org instances representing the public and private orgs to which the …\n"],["list","GitHubV3API::ReposAPI","GitHubV3API/ReposAPI.html#method-i-list","()","<p>Returns an array of GitHubV3API::Repo instances representing the user’s public and private repos …\n"],["list_collaborators","GitHubV3API::Repo","GitHubV3API/Repo.html#method-i-list_collaborators","()",""],["list_collaborators","GitHubV3API::ReposAPI","GitHubV3API/ReposAPI.html#method-i-list_collaborators","(user, repo_name)","<p>Returns an array of GitHubV3API::User instances for the collaborators of the specified <code>user</code> and <code>repo_name</code> …\n"],["list_forks","GitHubV3API::Repo","GitHubV3API/Repo.html#method-i-list_forks","()",""],["list_forks","GitHubV3API::ReposAPI","GitHubV3API/ReposAPI.html#method-i-list_forks","(user, repo_name)","<p>Returns an array of GitHubV3API::Repo instances containing the repositories which were forked from the …\n"],["list_members","GitHubV3API::OrgsAPI","GitHubV3API/OrgsAPI.html#method-i-list_members","(org_login)","<p>Returns an array of GitHubV3API::User instances representing the members who belong to the specified …\n"],["list_public_members","GitHubV3API::OrgsAPI","GitHubV3API/OrgsAPI.html#method-i-list_public_members","(org_login)","<p>Returns an array of GitHubV3API::User instances representing the members who belong to the specified …\n"],["list_repos","GitHubV3API::OrgsAPI","GitHubV3API/OrgsAPI.html#method-i-list_repos","(org_login)","<p>Returns an array of GitHubV3API::Repo instances representing the repos that belong to the specified org. …\n"],["list_watchers","GitHubV3API::Repo","GitHubV3API/Repo.html#method-i-list_watchers","()",""],["list_watchers","GitHubV3API::ReposAPI","GitHubV3API/ReposAPI.html#method-i-list_watchers","(user, repo_name)","<p>Returns an array of GitHubV3API::User instances containing the users who are watching the repository …\n"],["members","GitHubV3API::Org","GitHubV3API/Org.html#method-i-members","()","<p>Returns an array of GitHubV3API::User instances representing the users who are members of the organization …\n"],["natural_key","GitHubV3API::Org","GitHubV3API/Org.html#method-i-natural_key","()",""],["natural_key","GitHubV3API::Repo","GitHubV3API/Repo.html#method-i-natural_key","()",""],["natural_key","GitHubV3API::User","GitHubV3API/User.html#method-i-natural_key","()",""],["new","GitHubV3API","GitHubV3API.html#method-c-new","(access_token, api_url='https://api.github.com', header={})","<p>Returns a GitHubV3API instance that is able to access github with the <code>access_token</code> owner’s authorization. …\n"],["new","GitHubV3API::Entity","GitHubV3API/Entity.html#method-c-new","(api, data)","<p><code>api</code> &mdash; an instance of the API class associated with the subclass of Entity being instantiated.\n<p><code>data</code> &mdash; a Hash …\n\n"],["new","GitHubV3API::IssuesAPI","GitHubV3API/IssuesAPI.html#method-c-new","(connection)","<p>Typically not used directly. Use GitHubV3API#issues instead.\n<p><code>connection</code> &mdash; an instance of GitHubV3API\n\n"],["new","GitHubV3API::OrgsAPI","GitHubV3API/OrgsAPI.html#method-c-new","(connection)","<p>Typically not used directly. Use GitHubV3API#orgs instead.\n<p><code>connection</code> &mdash; an instance of GitHubV3API\n\n"],["new","GitHubV3API::ReposAPI","GitHubV3API/ReposAPI.html#method-c-new","(connection)","<p>Typically not used directly. Use GitHubV3API#repos instead.\n<p><code>connection</code> &mdash; an instance of GitHubV3API\n\n"],["new","GitHubV3API::UsersAPI","GitHubV3API/UsersAPI.html#method-c-new","(connection)","<p>Typically not used directly. Use GitHubV3API#users instead.\n<p><code>connection</code> &mdash; an instance of GitHubV3API\n\n"],["orgs","GitHubV3API","GitHubV3API.html#method-i-orgs","()","<p>Entry-point for access to the GitHub Orgs API\n<p>Returns an instance of GitHubV3API::OrgsAPI that will use …\n"],["owner_login","GitHubV3API::Repo","GitHubV3API/Repo.html#method-i-owner_login","()",""],["public_members","GitHubV3API::Org","GitHubV3API/Org.html#method-i-public_members","()","<p>Returns an array of GitHubV3API::User instances representing the users who are public members of the …\n"],["public_repos","GitHubV3API::ReposAPI","GitHubV3API/ReposAPI.html#method-i-public_repos","()",""],["repos","GitHubV3API","GitHubV3API.html#method-i-repos","()","<p>Entry-point for access to the GitHub Repos API\n<p>Returns an instance of GitHubV3API::ReposAPI that will …\n"],["repos","GitHubV3API::Org","GitHubV3API/Org.html#method-i-repos","()","<p>Returns an array of GitHubV3API::Repo instances representing the repos that belong to this org\n"],["update","GitHubV3API::IssuesAPI","GitHubV3API/IssuesAPI.html#method-i-update","(user, repo_name, id, data={})","<p>Returns a GitHubV3API::Issue instance representing the issue that it updated\n<p><code>user</code> &mdash; the string ID of the …\n"],["users","GitHubV3API","GitHubV3API.html#method-i-users","()","<p>Entry-point for access to the GitHub Users API\n<p>Returns an instance of GitHubV3API::UserAPI that will use …\n"]]}}